#
# Conditional build:
%bcond_with	rpm4	# prepare macros for PLD rpm 4.5 instead of rpm5
#
%if "%{pld_release}" == "ac"
%define	with_rpm4	1
%endif
%define		rpm_macros_rev	1.691
%define		find_lang_rev	1.36
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Patch0:		disable-systemd.patch
Patch1:		rpm4.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif
%{?with_rpm4:%patch1 -p1}

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}
cp -a rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Sun Mar 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=master

* Sun Mar 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 6dc7026
1.691: add %udev_hwdb_update responsible for updating hardware database index

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> dc4639b
upstart_post: do nothing if not under upstart supervision

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> cefd17a
upstart macros: multiline safety fixes

* Sat Feb 22 2014 Jacek Konieczny <jajcus@jajcus.net> dd64e42
Actually use the %{_clean_env} in %build and %install

* Thu Feb 20 2014 Jan Rękorajski <baggins@pld-linux.org> 2164c68
- 1.687
- split old/compatibility kernel_modules_{build,install} macros for
  -(non)dist kernel into _compat() macros to avoid "Macro expansion too
  big for target buffer" errors

* Wed Jan 29 2014 Elan Ruusamäe <glen@delfi.ee> f30df01
1.686: %{__php} macro is always versioned to ensure we need just %{php_name}-cli to get the binary

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 210174e
1.685: add nrpe.d support to %nagios_nrpe macro

* Mon Jan 27 2014 Jakub Bogusz <qboosh@pld-linux.org> b6ce5bb
- 1.684: sanitized cmake macro by removing 3 of 4 non-standard parameters (with exhaustive comment)

* Thu Jan 23 2014 Jan Palus <jan.palus@gmail.com> 32c27cc
- pass LINKFLAGS to waf

* Sun Jan 05 2014 Elan Ruusamäe <glen@delfi.ee> edd0707
update patchset dep info

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> 4b7f0e8
1.683: patchset source, added -s FILELIST support (for ncurses)

* Fri Jan 03 2014 Jakub Bogusz <qboosh@pld-linux.org> db74e14
- 1.682: added systemduserunitdir

* Thu Dec 26 2013 Elan Ruusamäe <glen@delfi.ee> 1acb550
- 1.681: _tomcatconfdir to /etc

* Tue Nov 26 2013 Elan Ruusamäe <glen@delfi.ee> 6b71d42
disable systemd: disable also tmpfiles presence

* Tue Nov 26 2013 Elan Ruusamäe <glen@delfi.ee> 2abd4f8
updated disable-systemd.patch

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 16a8eac
- ver 1.680 (qt debugging/asserts disabled by default in cmake macro)

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1271c35
- disable qt debugging, too

* Thu Oct 31 2013 Kacper Kornet <draenog@pld-linux.org> f5b9833
- use full path in %{__python3} macro

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> d99e514
- 1.679
- added macros that mimic the behaviour of linux/version.h

* Thu Oct 24 2013 Jan Rękorajski <baggins@pld-linux.org> 1a2c9fb
- _kernel_ver is not what it seems, restored it to previous state, as a
  result restore also _kernel_ver_str
- added description for above macros
- removed now unused __kernel_rel and __kernel_rpmvr macros

